Create Source
curl --request POST \
--url https://api-prod.voltai.ai/source/api/sources/ \
--header 'Content-Type: multipart/form-data' \
--cookie sessionid= \
--form file='@example-file' \
--form topic_uuids=3c90c3cc-0d44-4b50-8888-8dd25736052aimport requests
url = "https://api-prod.voltai.ai/source/api/sources/"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "topic_uuids": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {"cookie": "sessionid="}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
form.append('topic_uuids', '3c90c3cc-0d44-4b50-8888-8dd25736052a');
const options = {method: 'POST', headers: {cookie: 'sessionid='}};
options.body = form;
fetch('https://api-prod.voltai.ai/source/api/sources/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"topics": [
"<string>"
],
"display_name": "<string>",
"type": "CODE",
"status": "WAITING_FOR_APPROVAL",
"retrieval_disabled": true,
"link": "<string>"
}Sources
Create Source
Create a new source by uploading a file
POST
/
sources
/
Create Source
Authorizations
cookieAuthApiKeyAuth
Query Parameters
Organization name (required for multi-tenant API keys)
Body
multipart/form-data
Response
201 - application/json
Serializer for the public API - excludes internal job/tagging fields.
Maximum string length:
256Maximum string length:
256CODE- CodeTEXT- TextWEBSITE- WebsiteJIRA- JiraPART- PartPINOUT- PinoutHANDBOOK- HandbookARTICLE- ArticleVIDEO- VideoCACHE- CacheREPOSITORY- RepositoryHTML- HTMLMARKDOWN- MarkdownCSV- CSV
Available options:
CODE, TEXT, WEBSITE, JIRA, PART, PINOUT, HANDBOOK, ARTICLE, VIDEO, CACHE, REPOSITORY, HTML, MARKDOWN, CSV WAITING_FOR_APPROVAL- Waiting for ApprovalTRAINING- TrainingACTIVE- ActiveREJECTED- RejectedERROR- Error
Available options:
WAITING_FOR_APPROVAL, TRAINING, ACTIVE, REJECTED, ERROR Maximum string length:
2048